### Name: MAPlot2
### Title: Produce a MAplot showing points fitted vs. points interpolated.
### Aliases: MAPlot2
### Keywords: aplot

### ** Examples

# Create some noisy data with a bias
v = seq(1,100000,0.5)
d = sin(2*pi/500 * v) 
nd = d  +  rnorm(length(d),0,100) + 1000
dd = sin(2*pi/1000 * v) 
ndd = dd  +  rnorm(length(dd),0,120) + 1000

## Create ".temp" data stucture
mat = matrix(ncol=8,nrow=length(dd))
mat[,1] = log2(nd/ndd)
mat[,2] = nd
mat[,3] = ndd
mat[,4] = 0
mat[,5] = 0
mat[,6] = 0
mat[,7] = 0
mat[,8] = 0

# Add a few outliers
mat[100:150,1] = mat[100:150,1] * 1.5
mat[100:150,2] = mat[100:150,2] / 1.5

# Run Jspline and plot
aa = Jspline(mat)

MAPlot2(aa, mat, ylim=c(-1.5,1.5),xlim=c(9.4,10.4))




